Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Eclipse Installer fails on Window 7, unable to install.(The Eclipse Installer executable launcher was unable to locate its companion shared library.)
Eclipse Installer fails on Window 7, unable to install. [message #1768439] Tue, 18 July 2017 18:06 Go to next message
Zachary Lewis is currently offline Zachary LewisFriend
Messages: 3
Registered: July 2017
Junior Member
I'm trying to install the latest release of Eclipse using the Eclipse Installer for Windows (eclipse-inst-win64.exe). Whenever I run the installer, I receive the following error:

Eclipse Installer
The Eclipse Installer executable launcher was unable to locate its companion shared library.


Everything I can find online mentions this error after Eclipse has been installed, but I can't even get to step 3 on the find out more page of the Eclipse Packages page.

Has anyone else encountered this issue or know how to fix it?
Re: Eclipse Installer fails on Window 7, unable to install. [message #1768446 is a reply to message #1768439] Tue, 18 July 2017 19:54 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 30896
Registered: July 2009
Senior Member
The eclipse-inst-win64.exe is a native executable. There is no companion shared library. It should just run. In the worst case, download a zip from https://www.eclipse.org/downloads/eclipse-packages/ and unzip that.
Re: Eclipse Installer fails on Window 7, unable to install. [message #1768514 is a reply to message #1768439] Wed, 19 July 2017 15:46 Go to previous messageGo to next message
Filipi Maciel is currently offline Filipi MacielFriend
Messages: 1
Registered: July 2017
Junior Member
I'm with a similar problem, but i don't receive any error message. It appears the work-space box to select and then it just stop working. Windows show (not responding).

I try with Eclipse Mars 2 and Luna. When i try with oxygen, a grey box appears and the same happen, the program stop running.

Please, any advice?
Re: Eclipse Installer fails on Window 7, unable to install. [message #1768523 is a reply to message #1768446] Wed, 19 July 2017 16:44 Go to previous messageGo to next message
Zachary Lewis is currently offline Zachary LewisFriend
Messages: 3
Registered: July 2017
Junior Member
Ed Merks wrote on Tue, 18 July 2017 19:54
The eclipse-inst-win64.exe is a native executable. There is no companion shared library.


Yeah, that's exactly why I'm so confused.

Ed Merks wrote on Tue, 18 July 2017 19:54
It should just run. In the worst case, download a zip from https://www.eclipse.org/downloads/eclipse-packages/ and unzip that.


After unzipping and running, I get the same error (except this time it references Eclipse itself). I can run the launcher.jar file specified in the config.ini file, and Eclipse will start; however, running eclipse.exe always fails with that error.
Re: Eclipse Installer fails on Window 7, unable to install. [message #1768524 is a reply to message #1768523] Wed, 19 July 2017 17:04 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3595
Registered: July 2009
Senior Member

Where are you putting these executables and then trying to run them?

Nitin Dahyabhai
Eclipse Web Tools Platform
Re: Eclipse Installer fails on Window 7, unable to install. [message #1768537 is a reply to message #1768524] Wed, 19 July 2017 18:53 Go to previous message
Zachary Lewis is currently offline Zachary LewisFriend
Messages: 3
Registered: July 2017
Junior Member
Nitin Dahyabhai wrote on Wed, 19 July 2017 17:04
Where are you putting these executables and then trying to run them?


It doesn't seem to matter, but I've tried running them out from:


  • Downloads
  • C:\
  • Home (C:\Users\<username>)
  • Desktop

Previous Topic:Neon 4.6.3 flickering on Mac
Next Topic:Java syntax highlighting does not persist on IDE restart
Goto Forum:
  


Current Time: Sat Feb 22 07:58:32 GMT 2020

Powered by FUDForum. Page generated in 0.10400 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top